Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Interface IWindow

All Known Implementing Classes:
  FDialog, FFrame

public interface IWindow

Interface fuer WindowEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer WindowEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addWindowListener(WindowListener listener)` Fuegt dem Control den uebergebenen Listener als WindowListener hinzu.
`String` | `getActionClassForWindow()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein WindowEvent ausgeloest wurde.
`void` | `removeWindowListener(WindowListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForWindow(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein WindowEvent ausgeloest wurde.

Method Detail

### addWindowListener

    public void addWindowListener(WindowListener listener)

  Fuegt dem Control den uebergebenen Listener als WindowListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende WindowListener.

### removeWindowListener

    public void removeWindowListener(WindowListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

### setActionClassForWindow

    public void setActionClassForWindow(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein WindowEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer WindowEvents.

### getActionClassForWindow

    public String getActionClassForWindow()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein WindowEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer WindowEvents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD